Skip to main content
POST
Send a receipt for a periodic statement

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

id
string
required

The id of the internal account whose statement was delivered.

Body

application/json
periodStart
string<date>
required

First day of the statement period the receipt covers, a calendar month in US Central time. Must be the first day of a month that has already begun.

Example:

"2026-09-01"

deliveredAt
string<date-time>

When you issued the statement to the customer. Must include a timezone offset, must not be in the future, and must be at or after the end of the period. Defaults to the current time.

Example:

"2026-10-03T14:31:00Z"

Response

Receipt recorded

internalAccountId
string
required

The account whose statement this is

Example:

"InternalAccount:019542f5-b3e7-1d02-0000-000000000002"

periodStart
string<date>
required

First day of the statement period

Example:

"2026-09-01"

fetchedAt
string<date-time> | null

When the statement for this period was first read from Grid, or null if it never has been

Example:

"2026-10-01T09:00:00Z"

confirmedAt
string<date-time> | null

When the statement was issued, from the first receipt for this period, or null if no receipt has been sent. Later receipts do not move it.

Example:

"2026-10-03T14:31:00Z"